Get Subaccount Tax Forms
curl --request GET \
--url https://api.anchorage-staging.com/v2/tax/subaccounts/{subaccountId}/forms \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/tax/subaccounts/{subaccountId}/forms"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/tax/subaccounts/{subaccountId}/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"subaccountId": "ID",
"forms": [
{
"createdDate": "2022-06-03T00:53:27.645Z",
"id": "doc-123e4567-e89b-12d3-a456-426614174000",
"revision": 1,
"revisionType": "ORIGINAL",
"formType": "1099B",
"downloadLink": "URL_TO_USER",
"year": 2023,
"isFiled": true
}
]
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get Subaccount Tax Forms
Permissions required: Subaccount
Get subaccount’s generated tax forms
GET
/
tax
/
subaccounts
/
{subaccountId}
/
forms
Get Subaccount Tax Forms
curl --request GET \
--url https://api.anchorage-staging.com/v2/tax/subaccounts/{subaccountId}/forms \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/tax/subaccounts/{subaccountId}/forms"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/tax/subaccounts/{subaccountId}/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"subaccountId": "ID",
"forms": [
{
"createdDate": "2022-06-03T00:53:27.645Z",
"id": "doc-123e4567-e89b-12d3-a456-426614174000",
"revision": 1,
"revisionType": "ORIGINAL",
"formType": "1099B",
"downloadLink": "URL_TO_USER",
"year": 2023,
"isFiled": true
}
]
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The ID of the subaccount
Response
Successfully returned the forms
Show child attributes
Show child attributes
Example:
[
{
"subaccountId": "ID",
"forms": [
{
"createdDate": "2022-06-03T00:53:27.645Z",
"id": "doc-123e4567-e89b-12d3-a456-426614174000",
"revision": 1,
"revisionType": "ORIGINAL",
"formType": "1099B",
"downloadLink": "URL_TO_USER",
"year": 2023,
"isFiled": true
}
]
}
]
Was this page helpful?
⌘I